Bug 283 - Memory usage on the higher side
: Memory usage on the higher side
Status: RESOLVED WORKSFORME
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 03:44 MSD by oldmanduser
Modified: 2015-02-07 23:48 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Mageia memory consumption (166.18 KB, image/png)
2012-05-25 03:58 MSD, oldmanduser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description oldmanduser 2012-05-25 03:44:09 MSD
Description of problem:

I have observed is that the memory consumption of the plasma desktop and the KDE components in ROSA linux is on the very high side. I have used mageia, pclinuxos and there the consumption is very less. I am not comparing the distros but just a thought. 

On the other side ROSA was the only distribution that recognized my graphics card and worked beautifully.

The plasma desktop increase in memory consumption is very high and the machine becomes sluggish after sometime. To give an indication of how the other distros fare

With all desktop effects disabled and desktop search disabled + no akonadi services running

1. Mageia consumes 266 MB when booted. Plasma takes about 36 MB of memory and 32 MB of shared
2. Pclinuxos consumes about the same
3. ROSA consumes 440 MB.

I like this distribution a lot. It is just that if the memory consumption can be reduced I can put it on all my systems and refer to my friends also

I have mentioned this details earlier as part of another bug. But thought filing a new bug will be better for tracking purpose.

ROSA rocks. Hopefully someone can pay attention to the memory usage. May be there are memory leaks !!!

Version-Release number of selected component (if applicable):

Marathon 2012


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 oldmanduser 2012-05-25 03:58:31 MSD
Created attachment 187 [details]
Mageia memory consumption
Comment 2 oldmanduser 2012-05-25 03:59:15 MSD
In my friend's laptop also I have put ROSA. The specs are Dell E6420, quad-core, 8GB RAM.

Again ROSA was the only one which recognized the video card, but then the memory usage at the start itself is too high @around 600 MB. There is no extra applets like network monitor etc installed to increase the consumption.

And the machine is responsive at the start, but having worked on it for half a day or about 6 hours, the OS becomes sluggish. For example you can try start dolphin with all the existing dolphin window closes. There is a very considerable delay.

Add a snapshot of the Mageia consumption which is about 290 MB
Comment 3 oldmanduser 2012-06-19 15:07:24 MSD
Any updates regarding this. Nico from Mandriva International backports (MIB) told me that you folks are looking into the high memory usage.

Would be great if the memory usage issue is resolved.

Regards,
Arun
Comment 4 oldmanduser 2012-11-20 17:58:20 MSK
In ROSA 2012.1 the memory management has been greatly improved. It is on par with Mageia.
Comment 5 FirstLevel 2014-06-09 09:29:23 MSD
Is Your case actual for ROSA 2012 X1?
Comment 6 Denis Silakov 2015-02-07 23:48:27 MSK
Even if this is still actual for Marathon, we are not going to fix such kind of bugs for the released Marathon platforms.